import java.util.ArrayList;

public class Inventory
{
    public ArrayList<Product> productInventory;

    public Inventory () {
        this.productInventory = new ArrayList<Product>();
    }

    public void setInventory(Product invent) {
        this.productInventory.add(invent);
    } 

    public int getInventoryValue () {
        int inventoryValue = 0;
        for (Product currentProduct : this.productInventory) {
            inventoryValue += currentProduct.getPrice()*currentProduct.getQuantity();
        }
        return inventoryValue;
    }

    public void printInventory () {
        System.out.println(String.format("%12s %7s %10s %8s", 
                "Product", "Price", "Quantity", "Value"));
        for (Product currentProduct : this.productInventory) {
            System.out.println(String.format("%12s %7d %10d %8d", 
                    currentProduct.getId(), 
                    currentProduct.getPrice(),
                    currentProduct.getQuantity(),
                    currentProduct.getPrice()*currentProduct.getQuantity()));
        }
    }
}
